=== requirements.txt ===
--index-url https://pypi.python.org/simple/
# --extra-index-url https://testpypi.python.org/simple/

# dependencies for development
# Note : all tests included in package, which means we don't need anything here

# dependency sources for development only
# Note for ROS : this will end up in the wstool workspace. so we dont need to define it in the rosinstall...
# -e git+https://github.com/asmodehn/pyros-setup.git@config_refactor#egg=pyros_setup

# TMP interface Dependencies
# -e git+https://github.com/asmodehn/pyros-rosinterface.git@namespace#egg=pyros_interfaces_ros

# To always  have requirements installing current package (and dependencies) as well
# if we try to install requirements
-e .
