=== debian/changelog ===
ros-indigo-pyros (0.4.1-1trusty) trusty; urgency=high

  * Adding pyros.server package to setup.py. [alexv]
  * Improving imports to rely on pyros_setup only for ros server test.
    [alexv]

 -- AlexV <asmodehn@gmail.com>  Sun, 07 May 2017 15:00:00 -0000

ros-indigo-pyros (0.4.0-1trusty) trusty; urgency=high

  * V0.4.0. [alexv]
  * Removing catkin build files (should be in release repo). [alexv]
  * Package.xml -> 0.3.2. [alexv]
  * Fixing setup and examples using upcoming version of dependencies.
    [AlexV]
  * Added dynamic setup API on client. [AlexV]
  * Fixing usage of deprecated logging.warn. [AlexV]
  * Adding examples doc. [AlexV]
  * Fixes package names for tests to pass locally. [AlexV]
  * Moving context server in pyros main package from pyros-common. [AlexV]
  * Fixing package dependency names for new namespaced interface ROS
    packages. [AlexV]
  * Moving pyros.interfaces to pyros_interfaces in pyros_common repo. now
    using namespace pyros_interfaces as dependency. [AlexV]
  * WIP restructuring config and readding ctx_server here... [alexv]
  * Fixing tests with new structure. [alexv]
  * Moved a lot of things to pyros-common. [alexv]
  * Fixing tests. [alexv]
  * WIP : main with click. [alexv]
  * Extracting ros dependent part and restructure. [alexv]
  * Fixing doc to build without catkin. [alexv]
  * Fixing import of BaseInterface. [AlexV]
  * Fixing interface inheritance on the way to splitting mock and ros...
    [alexv]
  * Moving mock interface outside of ROS, to not depend on ROS for mocks.
    [alexv]
  * Adding rospublish command. [alexv]
  * Mutating into a pure python package. adding rosdevelop setup.py
    command. [alexv]

 -- AlexV <asmodehn@gmail.com>  Sun, 07 May 2017 15:00:00 -0000

ros-indigo-pyros (0.3.2-1trusty) trusty; urgency=high

  * V0.3.2. [alexv]
  * Changing api for catkin_pip 0.2. [AlexV]
  * Now relying on catkin_pip >0.2. [alexv]

 -- AlexV <asmodehn@gmail.com>  Mon, 20 Mar 2017 15:00:00 -0000

ros-indigo-pyros (0.3.1-1trusty) trusty; urgency=high

  * V0.3.1. [alexv]
  * Disabling cache test on jade since rocon_python_comms not available
    yet. [alexv]
  * Being less strict about mock depend. [alexv]
  * Fixing optional dependency for travis tests. [alexv]
  * Small comments for tests. [alexv]
  * Skipping travis test of rpm & debian branches. [alexv]
  * Removing old gone six submodule. [alexv]
  * Changed dependency to tblib third party released package to allow
    build for any ROS platform. [alexv]
  * Making python-mock a full dependency (used in package, for
    transitivity). commenting tblib, might not be needed. [alexv]

 -- AlexV <asmodehn@gmail.com>  Thu, 12 Jan 2017 15:00:00 -0000

ros-indigo-pyros (0.3.0-1trusty) trusty; urgency=high

  * Fixed rospkg version. [alexv]
  * V0.3.0. [alexv]
  * Changing branch to master for all readme badges. [alexv]
  * Small file rename to match new name from pub and sub. [alexv]
  * Adding api subpackage to setup.py. [AlexV]
  * Moving all ros api calls into subpackage to make patching easier.
    cleaned up imports. [AlexV]
  * First version of rospy safe API. [AlexV]
  * Fixing node interface after pub/sub mixup. simplified stringpub and
    string sub tests. [alexv]
  * Fixing tests filenames. cleanup debug prints. [alexv]
  * Fixing cross logic between pubs ans subs. [alexv]
  * Improving subscriber / publisher inter interfacing... added timeout to
    connect a pub/sub. [alexv]
  * Now properly inverting (publisher_if is subscriber and vice versa)
    [alexv]
  * Fixing broken update loop of ros_interface. [alexv]
  * Skipping failing rosinterface test for now. passing fine
    independently, more investigation needed... [alexv]
  * Separating pubs and subs. needs pyros_test 0.0.6 for tests. [alexv]
  * Disabling cache builds on kinetic for now. [AlexV]rocon_python_comms is not available on kinetic yet.
  * Forcing install of debs for travis script. [alexv]
  * Now running same tests for python flow or installed catkin build.
    [alexv]
  * Improving travis build to test with cache as well... change version_eq
    to version_gte since buidfarm doesnt handle version_eq properly
    (yet?). [alexv]
  * Importing contextmanager from contextlib instead of decorator. [alexv]
  * Moving mockinterface into rosinterface.mock since design follows ROS
    concepts. fixed all tests. bumped pyros minor version to 0.3.0 because
    of all the changes... [alexv]
  * Merged testRosInterfaceNoCache and testRosInterfaceCache. fixed all
    issues. [alexv]
  * Fixed tests without cache. [alexv]
  * Basic usecase now working again with cache. needs lots of cleanup...
    [alexv]
  * Continuing changes in rosinterface, splitting service, topics and
    params interface pools now rosinterface tests all passing. [alexv]
  * Splitting baseinterface to simplify things. fixed mockinterface and
    tests. [alexv]
  * Various cleanups. [alexv]
  * Improved profiling script. [alexv]
  * Comments. [alexv]
  * Fixing bwcompat issues. dropping shutdown behavior fix for now.
    [alexv]
  * Improved management of interface topics and reference counting. still
    broken for multiprocess because shutdown is not working properly.
    [alexv]
  * Fixing params and services removal with cache diff input. improved
    topics interface creation and cleanup. [alexv]
  * Speeding up topic interfacing. [alexv]
  * Fixed logic for removing transients on difference update. now
    forwarding exception if param type not found small test improvements.
    [alexv]
  * Fixing param behavior in ros_interface and added unit tests. [alexv]
  * Fixing hybrid usecase of devel catkin workspace without ROS setup.
    [alexv]
  * Adding python-tblib as a ros dependency. [alexv]
  * Now using ros-shadow-fixed for testing with latest dependencies.
    [AlexV]
  * Making the travis_checks script switch to his own dir on startup.
    [alexv]
  * Fixing envvars checks for travis. made travis_checks.bash script
    executable. [alexv]

