=== debian/control ===
Source: ros-indigo-pyros
Section: misc
Priority: extra
Maintainer: AlexV <asmodehn@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-mock (>= 1.0.1), ros-indigo-catkin (>= 0.6.18), ros-indigo-catkin-pip (>= 0.2.0), ros-indigo-pyros-common (>= 0.4.2), ros-indigo-pyros-interfaces-ros (>= 0.4.0)
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-pyros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-mock (>= 1.0.1), ros-indigo-pyros-common (>= 0.4.2), ros-indigo-pyros-interfaces-ros (>= 0.4.0)
Description: Provides Python to ROS multiprocess API, useful for using ROS from different multiprocess environment while keeping both isolated.
